Forum Stats

  • 3,769,603 Users
  • 2,252,991 Discussions
  • 7,875,117 Comments

Discussions

Newbie patch installation questions (10.1.3.1 -> 10.1.3.4)

658846
658846 Member Posts: 11
edited Sep 15, 2008 11:19AM in SOA Suite Discusssions
Hi All,

As a complete newbie with SOA and Olite, I got the question to install the SOA suite for a couple of my colleague's. Well, the installation of 10.1.3.1 went smooth with the basic install but now I want to patch it to 10.1.3.4 and there I run into some issues:

In the Preinstallation Requirements I see that you have to run the script "upgrade_10131_10134_olite.sql" for the BPEL as user orabpel and the script "upgrade_10133_10134_olite.sql" for the ESB environment as user oraesb. Well I have some questions about this part:

1) I assume that you have to login with msql to execute the scripts. I found out the the statement "msql system/[email protected]:polite:orabpel" works so I can reach the BPEL database but the with the statement "system/[email protected]:polite:oraesb" I get a [POL-5150] access violation error. What am I doing wrong here?


2) If I need to login with msql as the users orabpel and oraesb then what are the default passwords?

Thanks in advance,

Dave
Tagged:

Answers

  • ajochems
    ajochems Member Posts: 350
    Hi,
    Actually the soa suite developer installation uses three oracle lite databases (orabpel, oraesb and orawsm) and not one database with three users. the username/password is system/manager for every database. Your connect strings seem to be correct. You can also try to connect from sqldeveloper, just ensure that the olite*.jar files (in Mobile/SDK/bin) are in the classpath.

    Andre
  • Mihai
    Mihai Member Posts: 100 Employee
    Hi Dave

    Please check this thread
    2674186

    Hope it helps
    Mihai
  • 658846
    658846 Member Posts: 11
    Thanks Andre & Mihai! I can now connect both to the oraesb and orabpel. One question remains : can I run the upgrade scripts as database user system? The installation notes say that I need to connect as the orabpel user..

    "Before applying 10g Release 3 (10.1.3) Patch Set 4 (10.1.3.4.0) to a Oracle Application Server 10g Release 3 (10.1.3.1.0) instance, do the following procedure:

    Connect to the Oracle database as the orabpel user"


    Thanks in advance,

    Dave
  • ajochems
    ajochems Member Posts: 350
    Hi,
    If you do a developer installation you use Oracle Lite as database. In that case you get three olite databases (orabpel, oraesb and orawsm) which all have to be accessed with the system user. If you do a normal production installation the soa suite uses a oracle database with three schema's and then you access one database with three different users. So to upgrade a olite database installation connect as system to the two databases (wsm does not need a db update), if you do a normal oracle database installation connect as orabpel or oraesb to the database.

    Kind Regards,
    Andre
    ajochems
  • 658846
    658846 Member Posts: 11
    edited Sep 15, 2008 11:19AM
    Ah, now it makes sense! The installation document was not very clear about this!

    Thanks for the explanation!

    Dave

    Edited by: DaveDrie on 15-sep-2008 17:19
This discussion has been closed.